@echo off
::
:: UltraDefrag - a powerful disk defragmenter for Windows.
::
:: repair-disks.cmd - repairs disks.
::
:: Copyright (c) 2024 Green Gate Systems, LLC.
::
:: Synopsis:
::
::   repair-disks <drive_letters>
::

setlocal

for %%D in ( %* ) do call :repair_disk %%D
pause

endlocal
exit /B 0

:repair_disk
    chkdsk %1 /F
    echo.
exit /B 0
